/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  height: 65px;
  margin: 12px 0px;
  display: grid;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
  text-transform: lowercase;
}

/* ! For .layout-navbar-fixed added fix padding top to .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 76px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}
.docs-page .layout-navbar-fixed.layout-wrapper:not(.layout-without-menu) .layout-page,
.docs-page .layout-menu-fixed.layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 62px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 231px;
    position: relative;
  }
  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}

.flatpickr-day.inRange, .flatpickr-day.prevMonthDay.inRange, .flatpickr-day.nextMonthDay.inRange, .flatpickr-day.today.inRange, .flatpickr-day.prevMonthDay.today.inRange, .flatpickr-day.nextMonthDay.today.inRange, .flatpickr-day:hover, .flatpickr-day.prevMonthDay:hover, .flatpickr-day.nextMonthDay:hover, .flatpickr-day:focus, .flatpickr-day.prevMonthDay:focus, .flatpickr-day.nextMonthDay:focus {
    background: #416f62;
    border-color: #416f62;
}

.light-style .flatpickr-day.selected, .light-style .flatpickr-day.selected.inRange, .light-style .flatpickr-day.selected:focus, .light-style .flatpickr-day.selected:hover, .light-style .flatpickr-day.selected.prevMonthDay, .light-style .flatpickr-day.selected.nextMonthDay, .light-style .flatpickr-day.startRange, .light-style .flatpickr-day.startRange.inRange, .light-style .flatpickr-day.startRange:focus, .light-style .flatpickr-day.startRange:hover, .light-style .flatpickr-day.startRange.prevMonthDay, .light-style .flatpickr-day.startRange.nextMonthDay, .light-style .flatpickr-day.endRange, .light-style .flatpickr-day.endRange.inRange, .light-style .flatpickr-day.endRange:focus, .light-style .flatpickr-day.endRange:hover, .light-style .flatpickr-day.endRange.nextMonthDay, .light-style .flatpickr-day.endRange.prevMonthDay, .light-style .flatpickr-day.week.selected {
    background: #416f62;
    border: #416f62;
    color: #fff;
}

.authentication-wrapper.authentication-basic .authentication-inner:before {
    background: none !important;
}

.light-style .authentication-wrapper.authentication-basic .authentication-inner:after {
    background: none !important;
}

div.dataTables_processing > div:last-child > div {
    background: #416f26 !important;
}

.select2-container--default .select2-results__option[aria-selected=true] {
    background-color: rgba(65, 111, 98, 0.08) !important;
    color: #697a8d !important;
}
.flatpickr-day.inRange {
    color: #d2d2d2 !important;
}
